org.glassfish.jersey.logging

## Class LoggingFeatureAutoDiscoverable

- java.lang.Object
- - org.glassfish.jersey.logging.LoggingFeatureAutoDiscoverable

All Implemented Interfaces:
  org.glassfish.jersey.internal.spi.AutoDiscoverable

    @Priority(value=2000)
    public final class LoggingFeatureAutoDiscoverable
    extends Object
    implements org.glassfish.jersey.internal.spi.AutoDiscoverable

Auto-discoverable class that registers `LoggingFeature` based on configuration properties.

Feature is registered if any of the common properties (see `LoggingFeature`) is set or any of the client properties is set and context's `RuntimeType` is `RuntimeType.CLIENT` or any of the server properties is set and context's `RuntimeType` is `RuntimeType.SERVER`.

The registration does not occur if the feature is already registered or auto-discoverable mechanism is disabled.

Since:
  2.23
Author:
  Ondrej Kosatka

### Field Summary

### Fields inherited from interface org.glassfish.jersey.internal.spi.AutoDiscoverable

`DEFAULT_PRIORITY`

### Constructor Summary

Constructors
Constructor and Description
`LoggingFeatureAutoDiscoverable()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `configure(jakarta.ws.rs.core.FeatureContext context)` A call-back method called when an auto-discoverable component is to be configured in a given runtime configuration scope.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LoggingFeatureAutoDiscoverable

    public LoggingFeatureAutoDiscoverable()

### Method Detail

#### configure

    public void configure(jakarta.ws.rs.core.FeatureContext context)

Description copied from interface: `org.glassfish.jersey.internal.spi.AutoDiscoverable`
A call-back method called when an auto-discoverable component is to be configured in a given runtime configuration scope.

Note that as with `JAX-RS features`, before registering new JAX-RS components in a given configurable context, an auto-discoverable component should verify that newly registered components are not already registered in the configurable context.

Specified by:
  `configure` in interface `org.glassfish.jersey.internal.spi.AutoDiscoverable`
Parameters:
  `context` - configurable context in which the auto-discoverable should be configured.